Bug 2127474 - Dedicated sound card not working on kernel 5.19.8
Summary: Dedicated sound card not working on kernel 5.19.8
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 36
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-09-16 13:38 UTC by Jan
Modified: 2023-05-25 17:13 UTC (History)
18 users (show)

Fixed In Version:
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-05-25 17:13:44 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
kernel logs (126.21 KB, text/plain)
2022-09-16 13:38 UTC, Jan
no flags Details

Description Jan 2022-09-16 13:38:21 UTC
Created attachment 1912338 [details]
kernel logs

1. Please describe the problem:
The dedicated sound card, in my case a Creative Labs SB1570 SB Audigy Fx (https://en.creative.com/p/sound-blaster/sound-blaster-audigy-fx), is not working on kernel 5.19.8.  While the card is still listed with "lspci" including the kernel driver being used, it does not show up in "aplay -l" nor is it a valid option inside the GUI (Cinnamon Desktop: System Settings » Sound » Output).

2. What is the Version-Release number of the kernel:
5.19.8-200.fc36

3. Did it work previously in Fedora? If so, what kernel version did the issue
   *first* appear?  Old kernels are available for download at
   https://koji.fedoraproject.org/koji/packageinfo?packageID=8 :
Yes, the sound card (still) works with Fedora 36 on kernel 5.19.6 and before.

4. Can you reproduce this issue? If so, please provide the steps to reproduce
   the issue below:
Update the system to kernel 5.19.8 (latest release as of this writing), then reboot the system.

5. Does this problem occur with the latest Rawhide kernel? To install the
   Rawhide kernel, run ``sudo dnf install fedora-repos-rawhide`` followed by
   ``sudo dnf update --enablerepo=rawhide kernel``:
No.  After installing "6.0.0-0.rc5.20220914git3245cb65fd91.39.fc38", the issue is gone.

6. Are you running any modules that not shipped with directly Fedora's kernel?:
No.  I tend not to tinker with the kernel unless I have to and only use the standard repos.

7. Please attach the kernel logs. You can get the complete kernel log
   for a boot with ``journalctl --no-hostname -k > dmesg.txt``. If the
   issue occurred on a previous boot, use the journalctl ``-b`` flag.
--> see attachment

Comment 1 Jan 2022-09-21 17:35:36 UTC
It appears that kernel 5.19.9-200.fc36 fixed the issue.

Comment 2 Ben Cotton 2023-04-25 17:56:41 UTC
This message is a reminder that Fedora Linux 36 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 36 on 2023-05-16.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '36'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version. Note that the version field may be hidden.
Click the "Show advanced fields" button if you do not see it.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 36 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 3 Ludek Smid 2023-05-25 17:13:44 UTC
Fedora Linux 36 entered end-of-life (EOL) status on 2023-05-16.

Fedora Linux 36 is no longer maintained, which means that it
will not receive any further security or bug fix updates. As a result we
are closing this bug.

If you can reproduce this bug against a currently maintained version of Fedora Linux
please feel free to reopen this bug against that version. Note that the version
field may be hidden. Click the "Show advanced fields" button if you do not see
the version field.

If you are unable to reopen this bug, please file a new report against an
active release.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.